3 Replies Latest reply: Jun 15, 2013 3:36 PM by Klaus1
lofosho2217 Level 1 (0 points)

Mac 10.5.8 with Safari 5.0.6 newest flashplayer not compatable with my computer.. can i download a new browser to solve my problem or am i stuck with this forever?

why arent they compatible? is this adobe's fault or apple's fault?

please help!




MacBook, Mac OS X (10.5.8)